from eventAPI import *
from APIUtils import *

def fireEvent(e):
    if (getTag(e, "kssAD") != 5):
        return 1
    showMessage(e, ["You scramble down the well, slowing your descent with the help of the rope and a few protruding stones.",
                    "","A few frantic minutes later, an opening in the side wall allows you to reach a tunnel. Behind you, the well goes further down."])
    showMessage(e, ["All around you can be heard slithering, chittering, clicking sounds; you suddenly start wondering whether what you just did was such a good idea.",
                    "","Nevertheless, the well rope is too frail to support your weights on the way up, so you'll have to press on."])
    setTag(e, "kssAD", 6)    
    return 1
